## ros-dashing-aws-ros2-common 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(aws_ros2_common)

add_compile_options(-std=c++14)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(aws_common REQUIRED)

if(AWSSDK_FOUND)
  set(SERVICE core)
  AWSSDK_DETERMINE_LIBS_TO_LINK(SERVICE AWSSDK_LIBS)
  link_directories("${AWSSDK_LIB_DIR}")
endif()


include_directories(include ${rclcpp_INCLUDE_DIRS} ${aws_common_INCLUDE_DIRS})
add_library(${PROJECT_NAME} SHARED
    src/sdk_utils/ros2_node_parameter_reader.cpp
    src/sdk_utils/logging/aws_ros_logger.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE ${AWSSDK_INCLUDE_DIR})
ament_target_dependencies(${PROJECT_NAME} aws_common)

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
)

install(
    DIRECTORY include/
    DESTINATION include/
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  
  ament_add_gtest(test_configuration_provider test/client_configuration_provider_test.cpp)
  target_link_libraries(test_configuration_provider
      ${aws_common_LIBRARIES}
      ${PROJECT_NAME}
      ${rclcpp_LIBRARIES}
  )

  ament_add_gtest(test_logger test/sdk_utils/logging/aws_ros_logger_test.cpp)
  target_link_libraries(test_logger
      ${aws_common_LIBRARIES}
      ${PROJECT_NAME}
      ${rclcpp_LIBRARIES}
  )

  ament_add_gtest(test_parameter_reader test/parameter_reader_test.cpp)
  target_link_libraries(test_parameter_reader
      ${aws_common_LIBRARIES}
      ${PROJECT_NAME}
      ${rclcpp_LIBRARIES}
  )
endif()

ament_export_libraries(${PROJECT_NAME})
ament_export_include_directories("include")
ament_package()

=== debian/changelog ===
ros-dashing-aws-ros2-common (1.0.1-1bionic) bionic; urgency=high

  * Bump package version to 1.0.1 (#10 <https://github.com/aws-robotics/utils-ros2/issues/10>)
  * Fix linting issues found by clang-tidy 6.0 (#9 <https://github.com/aws-robotics/utils-ros2/issues/9>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
  * Guard test targets with if(BUILD_TESTING)
  * Update README.md and package.xml meta tags (#3 <https://github.com/aws-robotics/utils-ros2/issues/3>)
    * Update README.md and package.xml meta tags
    * Add disclaimer about lack of apt availability
  * Declare parameters in unit tests to conform to Dashing.
  * Merge pull request #2 <https://github.com/aws-robotics/utils-ros2/issues/2> from aws-robotics/ci
    Add .travis.yml, .rosinstall.master, and remove aws_cpp_sdk_core obso…
  * Add .travis.yml, .rosinstall.master, and remove aws_cpp_sdk_core obsolete dependency.
  * Implement common interfaces of aws_common for ROS2
    * initial commit of aws_ros2_common package implementation
    * Update to use non-legacy ParameterReader API
  * Contributors: AAlon, Avishay Alon, M. M, Miaofei Mei, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 31 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-aws-ros2-common
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-aws-common, ros-dashing-rclcpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-aws-ros2-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-rclcpp, ros-dashing-ros-workspace
Description: Common utilities for ROS2 nodes using Amazon Web Services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-aws-ros2-common//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
